# Installation

{% hint style="info" %}
Make sure you read everything carefull when installing this resource.
{% endhint %}

## Dependencies

[qb-core](https://github.com/qbcore-framework/qb-core) by qbcore-framework\
[qb-target](https://github.com/qbcore-framework/qb-target) by qbcore-framework or [ox\_target](https://github.com/overextended/ox_target) by overextended\
[qb-input](https://github.com/qbcore-framework/qb-input) by qbcore-framework or [ox\_lib's](https://github.com/overextended/ox_lib/releases) input by overextended

## How to install

* Download and unzip the thommie-weedshop.zip
* Add "ensure thommie-weedshop" to your server.cfg
* (re)start your server and you are done.

## How to add new weedshops

You can create new weedshops easily by going to the config.lua, once there you head over to Config.Weedshops (line 11 by default). Now you can follow the template we have made and change the values.

#### Weedshop Template:

```lua
['shop_name'] = {
    name = 'Example Store', -- This is the name of the weedshop
    job = 'example', -- This is the job linked to the weedshop
    scenario = 'WORLD_HUMAN_TOURIST_MOBILE', -- This is the scenario that the ped will be playing
    targets = { -- This is the list of targets
        register = {pos = vector3(0.0, 0.0, 0.0), width = 0.0, length = 0.0, heading = 0.0, minz = 0.0, maxz = 0.0},
        counter = {pos = vector3(0.0, 0.0, 0.0), width = 0.0, length = 0.0, heading = 0.0, minz = 0.0, maxz = 0.0},
        storage = {pos = vector3(0.0, 0.0, 0.0), width = 0.0, length = 0.0, heading = 0.0, minz = 0.0, maxz = 0.0},
        bong = {pos = vector3(0.0, 0.0, 0.0), width = 0.0, length = 0.0, heading = 0.0, minz = 0.0, maxz = 0.0},
    },
},
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.thummie.com/docs/premium/weedshop/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
